# IMCFont.h File Reference

## Classes
class | TOutlinePoint
class | TMCCharacterMetrics
class | MCFontInfo
struct | IMCFont
struct | IMCFontList
## Typedefs
typedef int16 | MCFontType
| Type of fonts.
typedef uint16 | MCFontStyle
| Cross-platform Styles codes.
typedef uint16 | MCCharCode
| Character codes are 16 bits to allow double-byte support.
typedef MCErr(* | TextBeginPathProc )(const TOutlinePoint &pt, boolean direct, void *param)
typedef MCErr(* | TextLineToProc )(const TOutlinePoint &pt, void *param)
typedef MCErr(* | TextCurveToProc )(const TOutlinePoint &pt0, const TOutlinePoint &pt1, void *param)
typedef MCErr(* | TextBezierProc )(const TOutlinePoint &pt0, const TOutlinePoint &pt1, const TOutlinePoint &pt2, void *param)
typedef MCErr(* | TextEndPathProc )(void *param)
## Enumerations
enum | { kFontNotSpecified = -1, kFontTrueType = 0, kFontATM = 1, kFontBitmap = 2, kFontVector = 3 }
enum | { kMCFontUnknown = 0xFFFF, kMCFontPlain = 0x0000, kMCFontBold = 0x0001, kMCFontItalic = 0x0002, kMCFontUnderline = 0x0004, kMCFontShadow = 0x0008, kMCFontOutline = 0x0010, kMCFontCondense = 0x0020, kMCFontExtent = 0x0040, kMCFontStrikeOut = 0x0080, kMCFontExtraLight = 0x0100, kMCFontLight = 0x0200, kMCFontMedium = 0x0400, kMCFontSemiBold = 0x0800, kMCFontExtraBold = 0x1000, kMCFontHeavy = 0x2000, kMCFontThin = 0x4000, kMCFontWeight = 0x8000 }
## Functions
| MCDEFINE_GUID_H (IID_IMCFont)

## Typedef Documentation

typedef uint16 MCCharCode

Character codes are 16 bits to allow double-byte support.

typedef uint16 MCFontStyle

Cross-platform Styles codes.

typedef int16 MCFontType

Type of fonts.

typedef MCErr(* TextBeginPathProc)(const TOutlinePoint &pt, boolean direct, void *param)

typedef MCErr(* TextBezierProc)(const TOutlinePoint &pt0, const TOutlinePoint &pt1, const TOutlinePoint &pt2, void *param)

typedef MCErr(* TextCurveToProc)(const TOutlinePoint &pt0, const TOutlinePoint &pt1, void *param)

typedef MCErr(* TextEndPathProc)(void *param)

typedef MCErr(* TextLineToProc)(const TOutlinePoint &pt, void *param)

## Enumeration Type Documentation

anonymous enum

Enumerator:

  kFontNotSpecified |
  kFontTrueType |
  kFontATM |
  kFontBitmap |
  kFontVector |

anonymous enum

Enumerator:

  kMCFontUnknown |
  kMCFontPlain |
  kMCFontBold |
  kMCFontItalic |
  kMCFontUnderline |
  kMCFontShadow |
  kMCFontOutline |
  kMCFontCondense |
  kMCFontExtent |
  kMCFontStrikeOut |
  kMCFontExtraLight |
  kMCFontLight |
  kMCFontMedium |
  kMCFontSemiBold |
  kMCFontExtraBold |
  kMCFontHeavy |
  kMCFontThin |
  kMCFontWeight |

## Function Documentation

MCDEFINE_GUID_H | ( | IID_IMCFont |  | ) |